List WhatsApp calls
curl --request GET \
--url https://api.notifique.dev/v1/whatsapp/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clxx...",
"workspaceId": "clxx...",
"instanceId": "clxx...",
"connectionKind": "string",
"direction": "OUTBOUND",
"to": "5511999999999",
"status": "QUEUED",
"type": "speak",
"speakText": "string",
"playAudioUrl": "string",
"providerCallId": "clxx...",
"answeredAt": "2025-02-10T14:00:00.000Z",
"endedAt": "2025-02-10T14:00:00.000Z",
"durationSecs": 1,
"hangupReason": "string",
"errorCode": "string",
"errorMessage": "string",
"clientState": "string",
"metadata": {},
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Calls
List WhatsApp calls
Shows WhatsApp call history for the workspace. Filter by instanceId.
GET
/
v1
/
whatsapp
/
calls
List WhatsApp calls
curl --request GET \
--url https://api.notifique.dev/v1/whatsapp/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clxx...",
"workspaceId": "clxx...",
"instanceId": "clxx...",
"connectionKind": "string",
"direction": "OUTBOUND",
"to": "5511999999999",
"status": "QUEUED",
"type": "speak",
"speakText": "string",
"playAudioUrl": "string",
"providerCallId": "clxx...",
"answeredAt": "2025-02-10T14:00:00.000Z",
"endedAt": "2025-02-10T14:00:00.000Z",
"durationSecs": 1,
"hangupReason": "string",
"errorCode": "string",
"errorMessage": "string",
"clientState": "string",
"metadata": {},
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Authorizations
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Query Parameters
Page (default 1).
Items per page (default 20, max 100).
Filter by WhatsApp instance.
Was this page helpful?

